<?php

/********************************************************************************
	- MemHT Portal -
	
	Copyright (C) 2007-2008 by Miltenovik Manojlo
	http://www.memht.com
	
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your opinion) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License along
	with this program; if not, see <http://www.gnu.org/licenses/> (GPLv2)
	or write to the Free Software Foundation, Inc., 51 Franklin Street,
	Fifth Floor, Boston, MA02110-1301, USA.
		
********************************************************************************/

	if (stristr(htmlentities($_SERVER['PHP_SELF']), "block_online.php")) {
		die("<table style='padding: 2px; border: 1px solid #999; background-color: #EEE; font-family: Verdana; font-size: 10px;' align='center'><tr><td><b>Error:</b> This file cannot be opened directly!</td></tr></table>");
	}

	global $dblink,$siteConfig,$userid;
	
	$users = $guests = $spiders = "";
	$n = 0;
	$result = $dblink->get_list("SELECT o.ip,o.user,o.guest,o.mark,s.spidname, (SELECT i.ccode FROM memht_iptocountry AS i WHERE o.ip BETWEEN i.fromip AND i.toip LIMIT 1) AS country, (SELECT u.id FROM memht_utenti AS u WHERE o.user=u.user) AS uid FROM memht_online AS o LEFT JOIN memht_spider_ranges AS s ON o.ip BETWEEN s.fromip AND s.toip GROUP BY o.ip ORDER BY o.guest ASC, o.data DESC");
	foreach ($result as $row) {
		$ip = num2ip(outCode($row['ip']));
		$ouser = outCode($row['user']);
		$guest = intval($row['guest']);
		$mark = intval($row['mark']);
		$spidname = outCode($row['spidname']);
		$country = outCode($row['country']);
		$uid = intval($row['uid']);
		
		$img = ($country!="") ? "<img src='images/countries/".strtolower($country).".png' border='0' alt='$country'>" : "<img src='images/countries/00.png' border='0' alt='Unknown'>" ;
		
		if (isAuth($userid,3)) {
			if ($guest==1 AND $spidname!="") {
				$text = "<a href='admin.php?page=security&op=findip&ok=true&ip=$ip' title='"._FIND_." $ip'>$spidname spider</a>";
				$spiders .= "<div style='padding:2px 0;'>$img $text</div>\n";
				$n++;
			} else if ($guest==1) {
				$text = "<a href='admin.php?page=security&op=findip&ok=true&ip=$ip' title='"._FIND_." $ip'>$ip</a>";
				$guests .= "<div style='padding:2px 0;'>$img $text</div>\n";
				$n++;
			} else {
				$tuser = ($mark==1) ? "<font color='#990000'><b>$ouser</b></font>" : $ouser ;
				$text = "<a href='index.php?page=users&op=userInfo&uid=$uid' title='$ouser'>$tuser</a>";
				$users .= "<div style='padding:2px 0;'>$img $text</div>\n";
				$n++;
			}
		} else {
			if ($guest==1 AND $spidname!="") {
				$text = $spidname." spider";
				$spiders .= "<div style='padding:2px 0;'>$img $text</div>\n";
				$n++;
			} else if ($guest==1) {
				$cutip = explode(".",$ip);
				$text = $cutip[0].".".$cutip[1].".x.x";
				$guests .= "<div style='padding:2px 0;'>$img $text</div>\n";
				$n++;
			} else {
				if ($siteConfig['admin_ghosts']==0 OR $mark==0) {
					$tuser = ($mark==1) ? "<font color='#990000'><b>$ouser</b></font>" : $ouser ;
					$text = "<a href='index.php?page=users&op=userInfo&usert=$ouser' title='$ouser'>$tuser</a>";
					$users .= "<div style='padding:2px 0;'>$img $text</div>\n";
					$n++;
				}
			}
		}
	}
	$content = $users . $guests . $spiders;
	echo ($n>10) ? "<div style='overflow: auto; height: 150px;'>$content</div>" : $content ;
	
?>